(*************************************************************************

     $RCSfile: AppMenuItem.mod $
  Description:

   Created by: fjc (Frank Copeland)
    $Revision: 1.2 $
      $Author: fjc $
        $Date: 1994/08/08 16:59:51 $

  Copyright  1994, Frank Copeland.
  This example program is part of Oberon-A.
  See Oberon-A.doc for conditions of use and distribution.

  Log entries are at the end of the file.

*************************************************************************)

MODULE AppMenuItem;

(*
** $C= CaseChk       $I= IndexChk  $L= LongAdr   $N= NilChk
** $P- PortableCode  $R= RangeChk  $S= StackChk  $T= TypeChk
** $V= OvflChk       $Z= ZeroVars
*)

IMPORT
  SYS := SYSTEM,
  e   := Exec,
  u   := Utility,
  d   := Dos,
  wb  := Workbench,
  IO  := StdIO;

CONST
  VersionTag = "\0$VER: AppMenuItem 1.0 (18.6.94)\r\n";

VAR
  myport  : e.MsgPortPtr;
  appitem : wb.AppMenuItemPtr;
  appmsg  : wb.AppMessagePtr;

  result, x, count : LONGINT;
  success : BOOLEAN;
  file : d.FileHandlePtr;

  userData : e.STRPTR;

BEGIN (* AppMenuItem *)
  myport := NIL; appitem := NIL; appmsg := NIL;
  result := 0; x := 0; count := 0; success := FALSE;
  wb.OpenLib(FALSE);
  IF wb.base.version >= 37 THEN
    myport := e.base.CreateMsgPort();
    IF myport # NIL THEN
      (* Add our own AppMenuItem to the Workbench Tools Menu *)
      appitem := wb.base.AddAppMenuItem
        ( 0,                                 (* Our ID# for item *)
          SYS.VAL (LONGINT,
            SYS.ADR ("SYS:Utilities/More")), (* Our UserData *)
          "Browse Files",                    (* MenuItem text *)
          myport, 0 );                       (* MsgPort, no tags *)
      IF appitem # NIL THEN
        IO.WriteStr
          ("Select Workbench Tools demo menuitem 'Browse Files'\n");

        (* For this example, we allow the AppMenuItem to be selected *)
        (* only once, then we remove it and exit                     *)
        e.base.WaitPort (myport);
        LOOP
          IF count >= 1 THEN EXIT END;
          appmsg := SYS.VAL (wb.AppMessagePtr, e.base.GetMsg (myport));
          IF appmsg = NIL THEN EXIT END;
          (* Handle messages from the AppMenuItem - we have only one *)
          (* item so we don't have to check its appmsg.id number.    *)
          (* We'll System() the command string that we passed as     *)
          (* userdata when we added the menu item.                   *)
          (* We find our userdata pointer in appmsg.userData         *)

          IO.WriteF1
            ( "User picked AppMenuItem with %ld icons selected\n",
              appmsg.numArgs );
          FOR x := 0 TO appmsg.numArgs - 1 DO
            IO.WriteF2
              ( "  #%ld name='%s'\n", x + 1, appmsg.argList[x].name )
          END;
          INC (count);
          file := d.base.Open
            ( "CON:0/40/640/150/AppMenu Example/auto/close/wait",
              d.modeOldFile );
          IF file # NIL THEN
            userData := SYS.VAL (e.STRPTR, appmsg.userData);
            IO.WriteF1 ("userData='%s'\n", userData);
            result := d.base.SystemTags
              ( userData^,
                d.sysInput,  file,
                d.sysOutput, NIL,
                d.sysAsynch, d.TRUE,
                u.tagDone );
            IO.WriteF1 ("result=%ld\n", result);
            (* If Asynch System() itself fails, we must close file *)
            IF result = -1 THEN d.base.OldClose (file) END
          END;
          e.base.ReplyMsg (appmsg)
        END;
        success := wb.base.RemoveAppMenuItem (appitem)
      END;
      (* Clear away any messages that arrived at the last moment *)
      LOOP
        appmsg :=
          SYS.VAL (wb.AppMessagePtr, e.base.GetMsg (myport));
        IF appmsg = NIL THEN EXIT END;
        e.base.ReplyMsg (appmsg)
      END;
      e.base.DeleteMsgPort (myport)
    END
  END
END AppMenuItem.

(*************************************************************************

  $Log: AppMenuItem.mod $
  Revision 1.2  1994/08/08  16:59:51  fjc
  Release 1.4

  Revision 1.1  1994/07/03  15:17:35  fjc
  - Incorporated changes in 3.1 Interfaces

*************************************************************************)

