(***************************************************************************

     $RCSfile: ARPUtil.mod $
  Description: Support for clients of arp.library

   Created by: fjc (Frank Copeland)
    $Revision: 2.4 $
      $Author: fjc $
        $Date: 1994/08/08 16:05:18 $

  Copyright  1994, Frank Copeland.
  This file is part of the Oberon-A Library.
  See Oberon-A.doc for conditions of use and distribution.

***************************************************************************)

MODULE ARPUtil;

(*
** $C- CaseChk       $I- IndexChk  $L+ LongAdr   $N- NilChk
** $P- PortableCode  $R- RangeChk  $S- StackChk  $T- TypeChk
** $V- OvflChk       $Z- ZeroVars
*)

IMPORT I := Intuition, ARP, SYS := SYSTEM;

(*------------------------------------*)
(*
  Simple wrapper for calling the ARP FileRequester.
*)

(* $D- disable copying of open arrays *)
PROCEDURE RequestFile * (
  window        : I.WindowPtr;
  hail          : ARRAY OF CHAR;
  VAR file      : ARRAY OF CHAR;
  VAR directory : ARRAY OF CHAR )
: BOOLEAN;

  VAR fr : ARP.FileRequester;

BEGIN (* RequestFile *)
  fr.hail      := SYS.ADR(hail);
  fr.file      := SYS.ADR(file);
  fr.dir       := SYS.ADR(directory);
  fr.window    := window;
  fr.funcFlags := {ARP.frNewIDCMP, ARP.frDoColor};
  fr.flags2    := {ARP.fr2LongPath};
  fr.leftEdge  := 0;
  fr.topEdge   := 0;
  RETURN (ARP.base.FileRequest (fr) # NIL);
END RequestFile;

END ARPUtil.
