(**************************************************************************

     $RCSfile: MathIEEESingTrans.mod $
  Description: Interface to mathieeesingtrans.library

   Created by: fjc (Frank Copeland)
    $Revision: 3.2 $
      $Author: fjc $
        $Date: 1994/08/08 00:56:33 $

  $VER: mathieeesingtrans_protos.h 1.3 (7.11.90)
  Includes Release 40.15

  (C) Copyright 1985-1993 Commodore-Amiga, Inc.
      All Rights Reserved

  Oberon-A interface Copyright  1994, Frank Copeland.
  This file is part of the Oberon-A Interface.
  See Oberon-A.doc for conditions of use and distribution.

***************************************************************************)

MODULE MathIEEESingTrans;

(*
** $C- CaseChk       $I- IndexChk  $L+ LongAdr   $N- NilChk
** $P- PortableCode  $R- RangeChk  $S- StackChk  $T- TypeChk
** $V- OvflChk       $Z- ZeroVars
*)

IMPORT SYS := SYSTEM, E := Exec, M := MathLibrary;


(*-- MathIEEESingTrans Base variable --------------------------------------*)

TYPE

  MathIEEESingTransBasePtr * = CPOINTER TO MathIEEESingTransBase;
  MathIEEESingTransBase * = RECORD (M.MathIEEEBase) END;

CONST

  name * = "mathieeesingtrans.library";

VAR

  base * : MathIEEESingTransBasePtr;


(*-- Library Functions ------------------------------------------------*)

LIBCALL (base : MathIEEESingTransBasePtr) Atan  *
  ( parm [0] : E.SINGLE )
  : E.SINGLE;
  - 30;

LIBCALL (base : MathIEEESingTransBasePtr) Sin   *
  ( parm [0] : E.SINGLE )
  : E.SINGLE;
  - 36;

LIBCALL (base : MathIEEESingTransBasePtr) Cos   *
  ( parm [0] : E.SINGLE )
  : E.SINGLE;
  - 42;

LIBCALL (base : MathIEEESingTransBasePtr) Tan   *
  ( parm [0] : E.SINGLE )
  : E.SINGLE;
  - 48;

LIBCALL (base : MathIEEESingTransBasePtr) Sincos*
  ( VAR cos[8] : E.SINGLE;
    parm [0]   : E.SINGLE )
   : E.SINGLE;
  - 54;

LIBCALL (base : MathIEEESingTransBasePtr) Sinh  *
  ( parm [0] : E.SINGLE )
  : E.SINGLE;
  - 60;

LIBCALL (base : MathIEEESingTransBasePtr) Cosh  *
  ( parm [0] : E.SINGLE )
  : E.SINGLE;
  - 66;

LIBCALL (base : MathIEEESingTransBasePtr) Tanh  *
  ( parm [0] : E.SINGLE )
  : E.SINGLE;
  - 72;

LIBCALL (base : MathIEEESingTransBasePtr) Exp   *
  ( parm [0] : E.SINGLE )
  : E.SINGLE;
  - 78;

LIBCALL (base : MathIEEESingTransBasePtr) Log   *
  ( parm [0] : E.SINGLE )
  : E.SINGLE;
  - 84;

LIBCALL (base : MathIEEESingTransBasePtr) Pow   *
  ( exp  [1] : E.SINGLE;
    parm [0] : E.SINGLE )
  : E.SINGLE;
  - 90;

LIBCALL (base : MathIEEESingTransBasePtr) Sqrt  *
  ( parm [0] : E.SINGLE )
  : E.SINGLE;
  - 96;

LIBCALL (base : MathIEEESingTransBasePtr) Tieee *
  ( parm [0] : E.SINGLE )
  : E.SINGLE;
  - 102;

LIBCALL (base : MathIEEESingTransBasePtr) Fieee *
  ( parm [0] : E.SINGLE )
  : E.SINGLE;
  - 108;

LIBCALL (base : MathIEEESingTransBasePtr) Asin  *
  ( parm [0] : E.SINGLE )
  : E.SINGLE;
  - 114;

LIBCALL (base : MathIEEESingTransBasePtr) Acos  *
  ( parm [0] : E.SINGLE )
  : E.SINGLE;
  - 120;

LIBCALL (base : MathIEEESingTransBasePtr) Log10 *
  ( parm [0] : E.SINGLE )
  : E.SINGLE;
  - 126;

(*-- Library Base variable --------------------------------------------*)
(* $L- Address globals through A4 *)


(*-----------------------------------*)
PROCEDURE* CloseLib ();

BEGIN (* CloseLib *)
  IF base # NIL THEN E.base.CloseLibrary (base) END;
END CloseLib;

(*-----------------------------------*)
PROCEDURE OpenLib * (mustOpen : BOOLEAN);

BEGIN (* OpenLib *)
  IF base = NIL THEN
    base :=
      SYS.VAL
        ( MathIEEESingTransBasePtr,
          E.base.OpenLibrary (name, E.libraryMinimum) );
    IF base # NIL THEN SYS.SETCLEANUP (CloseLib)
    ELSIF mustOpen THEN HALT (100)
    END;
  END;
END OpenLib;


BEGIN
  base := NIL
END MathIEEESingTrans.
