****************************************************************************
*
*    $RCSfile: OberonSys.i $
* Description: Runtime support for the Oberon-A compiler
*
*  Created by: fjc (Frank Copeland)
*   $Revision: 1.2 $
*     $Author: fjc $
*       $Date: 1994/07/24 18:22:13 $
*
* Copyright  1994, Frank Copeland.
* This file is part of the Oberon-A Library.
* See Oberon-A.doc for conditions of use and distribution.
*
* Log entries are at the end of the file.
*
**********************************************************************
*
* This file contains external references to the variables declared in
* OberonSys.asm.
*
**********************************************************************

     XREF      OberonSys_VAR
     XREF      OS_initialSP
     XREF      OS_argLen
     XREF      OS_args
     XREF      OS_returnCode
     XREF      OS_cleanupProc
     XREF      OS_memList
     XREF      OS_mathBase
     XREF      OS_lmathBase
     XREF      OS_untraced
     XREF      OS_GCVars
     XREF      OberonSys_CLEANUP

OS_MathFail    EQU  21
OS_DisposeFail EQU  22
OS_ZeroDiv     EQU  23
OS_BadTag      EQU  24

; Trap numbers.  Keep in sync with Module OCC.

OS_IndexCheck  EQU  0
OS_TypeCheck   EQU  1
OS_NilCheck    EQU  2
OS_CaseCheck   EQU  3
OS_ReturnCheck EQU  4
OS_StackChk    EQU  5

****************************************************************************
*
* $Log: OberonSys.i $
* Revision 1.2  1994/07/24  18:22:13  fjc
* - Added trap numbers
*
* Revision 1.1  1994/05/12  20:31:15  fjc
* - Prepared for release
*
* ( 4 Jan 1994) Added OS_BadTag and OS_untraced
* ( 9 Jul 1993) Added math base variables to export list
* (29 May 1993) Split OberonSys.asm into several files to create
*               OberonSys.lib.
*
****************************************************************************

